-- CustomSheetTest.applescript

--  Created by Shane Stanley.
--  <sstanley@myriad-com.com.au>.
--  'AppleScriptObjC Explored' <http://www.macosxautomation.com/applescript/apps/>

-- sample code using NSWindow+MyriadHelpers category

script CustomSheetTest
	property parent : class "NSObject"
	property mainWindow : missing value -- connect in Interface Builder
	property customWindow : missing value -- connect in Interface Builder
	
	## Show custom sheet; show a window as a sheet over another window
	-- shows custom sheet customWindow over window mainWindow	
	on showCustomSheet_(sender) -- triggered by button in window
		tell customWindow to showOver_(mainWindow)
	end showCustomSheet_
	
	-- connected to button in customWindow
	on customSheetButtonPushed_(sender) -- triggered by button in sheet
		-- handler must close the sheet
		tell current application's NSApp to endSheet_(customWindow)
		-- now do our stuff
		log sender's |title|()
	end customSheetButtonPushed_
	
	-- shows custom sheet customWindow over window mainWindow with timeout
	on showCustomSheetGivingUp_(sender) -- triggered by button in window
		tell customWindow to showOver_calling_onlyAfter_(mainWindow, {"customSheetTimedOut:", me}, 5)
	end showCustomSheetGivingUp_
	
	-- only called when window times out
	on customSheetTimedOut_(returnCode)
		log "Gave up"
		-- whatever
	end customSheetTimedOut_
	
end script
