//
//  NSDatePicker+MyriadHelpers.m
//
//  Created by Shane Stanley on 29/11/2010. v1.0.0.
//  <sstanley@myriad-com.com.au>.
//  'AppleScriptObjC Explored' <http://www.macosxautomation.com/applescript/apps/>
//

#import "NSDatePicker+MyriadHelpers.h"


@implementation NSDatePicker (MyriadHelpers)

-(NSAppleEventDescriptor *)dateAS {
	NSDate *date = [self dateValue];
    LongDateTime ldt;
    UCConvertCFAbsoluteTimeToLongDateTime(CFDateGetAbsoluteTime((CFDateRef)date), &ldt);
    return [NSAppleEventDescriptor descriptorWithDescriptorType:typeLongDateTime
                                                          bytes:&ldt length:sizeof(ldt)];        	
}

-(void)setDateAS:(NSAppleEventDescriptor *)date {
	CFAbsoluteTime absTime;
    LongDateTime ldt;
	NSData *data = [date data];
    [data getBytes:&ldt length:[data length]];
    UCConvertLongDateTimeToCFAbsoluteTime(ldt, &absTime);
    [self setDateValue:[NSDate dateWithTimeIntervalSinceReferenceDate:absTime]];	
}

@end
